<?php
add_filter(
	'search_settings_conf',
	function ( $conf_for_merge ) {
		$dependencies = apply_filters( 'features_search_dependencies', array() );

		$conf = array(
			'enable_search'            =>
				array(
					'label'       => esc_html__( 'Use WordPress search for listings', 'stm_motors_extends' ),
					'description' => esc_html__( 'By enabling this button, your site will use WordPress search for listings', 'stm_motors_extends' ),
					'type'        => 'checkbox',
				),
			'enable_keywords_search'   =>
				array(
					'label'       => esc_html__( 'Search by keywords', 'stm_motors_extends' ),
					'description' => esc_html__( 'Users can make a search based on the keywords through all listings', 'stm_motors_extends' ),
					'type'        => 'checkbox',
					'group'       => 'started',
					'value'       => true,
					'preview'     => STM_LISTINGS_URL . '/assets/images/previews/search-by-keywords-sf.png',
				),
			'position_keywords_search' =>
				array_merge(
					array(
						'label'       => esc_html__( 'Position', 'stm_motors_extends' ),
						'description' => esc_html__( 'Choose where you want to show the field to search by keywords', 'stm_motors_extends' ),
						'type'        => 'select',
						'value'       => 'bottom',
						'options'     => array(
							'bottom' => esc_html__( 'Bottom', 'stm_motors_extends' ),
							'top'    => esc_html__( 'Top', 'stm_motors_extends' ),
						),
					),
					$dependencies
				),
			'search_settings_ending'   =>
				array(
					'label' => '',
					'type'  => 'stm-hidden',
					'value' => '',
					'group' => 'ended',
				),
		);

		return array_merge( $conf_for_merge, $conf );
	},
	26,
	1
);
